FreeMat

- Main Page
- Related Pages

vtkCellCenterDepthSort

Section: Visualization Toolkit Rendering Classes

# Usage

vtkCellCenterDepthSort is a simple and fast implementation of depth sort, but it only provides approximate results. The sorting algorithm finds the centroids of all the cells. It then performs the dot product of the centroids against a vector pointing in the direction of the camera transformed into object space. It then performs an ordinary sort on the result.

To create an instance of class vtkCellCenterDepthSort, simply invoke its constructor as follows

      obj = vtkCellCenterDepthSort

# Methods

The class vtkCellCenterDepthSort has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkCellCenterDepthSort class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkCellCenterDepthSort = obj.NewInstance ()`
- `vtkCellCenterDepthSort = obj.SafeDownCast (vtkObject o)`
- `obj.InitTraversal ()`
- `vtkIdTypeArray = obj.GetNextCells ()`